Package org.opensaml.soap.wssecurity.messaging

# Enum Class Token.ValidationStatus

java.lang.Object
java.lang.Enum<Token.ValidationStatus>
org.opensaml.soap.wssecurity.messaging.Token.ValidationStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<Token.ValidationStatus>`, `Constable`

Enclosing interface:
  Token<TokenType>

public static enum Token.ValidationStatus extends Enum<Token.ValidationStatus>
Enumeration of the possible states of token validation.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`INDETERMINATE`
Indicates that some attempt has been made to validate the token but that its validation status could not be determined.
`INVALID`
Indicates the token has been unsuccessfully validated.
`VALID`
Indicates the token has been successfully validated.
`VALIDATION_NOT_ATTEMPTED`
Indicates that token validation has not yet been attempted.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`ValidationStatus()`

## Method Summary

Modifier and Type
Method
Description
`static Token.ValidationStatus`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Token.ValidationStatus[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### VALID

public static final Token.ValidationStatus VALID
Indicates the token has been successfully validated.

### INVALID

public static final Token.ValidationStatus INVALID
Indicates the token has been unsuccessfully validated.

### INDETERMINATE

public static final Token.ValidationStatus INDETERMINATE
Indicates that some attempt has been made to validate the token but that its validation status could not be determined.

### VALIDATION_NOT_ATTEMPTED

public static final Token.ValidationStatus VALIDATION_NOT_ATTEMPTED
Indicates that token validation has not yet been attempted.

## Constructor Details

### ValidationStatus

private ValidationStatus()

## Method Details

### values

public static Token.ValidationStatus[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Token.ValidationStatus valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null